> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new wallet

> Create new Non Custodial Wallet



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml post /ncw/wallets
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /ncw/wallets:
    post:
      tags:
        - Embedded Wallets
      summary: Create a new wallet
      description: Create new Non Custodial Wallet
      operationId: CreateEmbeddedWallet
      parameters:
        - $ref: '#/components/parameters/X-Idempotency-Key'
      responses:
        '201':
          description: Wallet created successfully
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmbeddedWallet'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<EmbeddedWallet>> =
            fireblocks.embeddedWallets.createEmbeddedWallet(embeddedWalletsApiCreateEmbeddedWalletRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<EmbeddedWallet>> response =
            fireblocks.embeddedWallets().createEmbeddedWallet(idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.embedded_wallets.create_embedded_wallet(idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    EmbeddedWallet:
      type: object
      properties:
        walletId:
          type: string
          description: walletId
          example: 550e8400-e29b-41d4-a716-446655440000
        enabled:
          type: boolean
          description: enabled
          example: true
      required:
        - walletId
        - enabled
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````